# $Revision: 1.64 $, $Date: 2009/06/30 07:08:10 $
Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.8
Release:	1
Epoch:		1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	e0916a72bcc6c427551ea262183fdb26
Source1:	%{name}-mozilla-nspr.pc
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-sparc64.patch
URL:		http://www.mozilla.org/projects/nspr/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług z Netscape.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR z Netscape.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

install %{SOURCE1} mozilla/nsprpub/nspr-mozilla-nspr.pc.in

%build
cd mozilla/nsprpub
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

./config.status --file=nspr-mozilla-nspr.pc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} -C mozilla/nsprpub install \
	DESTDIR=$RPM_BUILD_ROOT

install mozilla/nsprpub/nspr-mozilla-nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

ln -s mozilla-nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/nspr.pc

rm $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nspr.spec,v $
Revision 1.64  2009/06/30 07:08:10  paszczus
- updated to 4.8 (merged from DEVEL)

Revision 1.63.2.1  2009/06/18 16:41:08  paszczus
- updated to 4.8

Revision 1.63  2008/11/13 22:35:51  qboosh
- updated to 4.7.3

Revision 1.62  2008/11/01 09:41:42  qboosh
- updated to 4.7.2

Revision 1.61  2008/07/18 17:09:47  glen
- release 2

Revision 1.60  2008/06/04 16:25:45  qboosh
- updated to 4.7.1
- updated acfix patch to fix autoconf 2.62 issues

Revision 1.59  2008-02-26 22:46:18  arekm
- rel 3; fix -I in pc

Revision 1.58  2008-02-26 22:24:56  arekm
- rel 2; put correct version in pc file

Revision 1.57  2008-02-16 12:49:21  qboosh
- updated md5

Revision 1.56  2008-02-16 12:37:11  qboosh
- updated to 4.7
- removed obsolete am18 patch
- general spec cleanup (make install is sane now)

Revision 1.55  2008-01-31 20:53:30  glen
- rel 3

Revision 1.54  2008-01-31 20:44:42  glen
- rel 2

Revision 1.53  2008-01-31 12:02:25  glen
- remove junk

Revision 1.52  2008-01-30 20:11:45  tommat
- added sparc64 patch

Revision 1.51  2007-07-12 19:41:00  qboosh
- updated to 4.6.7

Revision 1.50  2007/03/11 00:14:10  qboosh
- updated to 4.6.6

Revision 1.49  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.47  2007/01/24 10:41:52  qboosh
- updated to 4.6.5

Revision 1.46  2006/11/24 07:35:30  qboosh
- updated to 4.6.4

Revision 1.45  2006/10/30 11:16:15  qboosh
- detect lib deps; release 2

Revision 1.44  2006/09/15 11:40:37  qboosh
- updated to 4.6.3

Revision 1.43  2006/05/27 18:44:25  qboosh
- updated to 4.6.2

Revision 1.42  2006/05/10 20:37:20  qboosh
- added URL

Revision 1.41  2006/04/17 14:33:02  wrobell
- rel. 2

Revision 1.40  2006/01/27 06:04:39  aredridel
- add nspr.pc as well, as firefox-xpcom.pc and others look for it by this name

Revision 1.39  2006/01/13 21:00:06  qboosh
- updated to 4.6.1

Revision 1.38  2005/07/25 11:58:40  qboosh
- fix includedir in `nspr-config --cflags`
- release 2

Revision 1.37  2005/07/12 20:58:37  qboosh
- updated to final 4.6 (released at last)
- removed obsolete libdir patch

Revision 1.36  2005/04/09 11:33:24  arekm
- add setting version in mozilla-nspr.pc

Revision 1.35  2005/03/25 05:43:12  havner
- rel 2

Revision 1.34  2005/03/20 18:47:57  arekm
- little tweaks

Revision 1.33  2005/03/19 23:49:08  arekm
- provide pkgconfig file

Revision 1.32  2005/01/15 14:18:13  qboosh
- merged 4.6-beta snap from DEVEL

Revision 1.31  2004/12/04 01:14:35  qboosh
- updated to 4.5.1 ("released" in cvs)

Revision 1.30.2.1  2004/10/30 20:45:28  qboosh
- 4.6-beta snap (contains prnetdb update wanted by firefox or thunderbird)

Revision 1.30  2004/10/30 18:51:39  qboosh
- updated to final 4.5 (from NSPR_4_5_RTM cvs tag - not released on ftp)
- removed obsolete amd64 patch, added build fix to acfix patch

Revision 1.29  2004/01/20 16:18:20  grzegol
- updated to 4.5.0-20040117 snap

Revision 1.28  2004/01/09 11:08:14  qboosh
- switched to officially released tarball (no real differences); release 3

Revision 1.27  2004/01/02 17:48:13  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.26  2004/01/01 00:01:30  jajcus
- ported to AMD64

Revision 1.25  2003/12/29 02:00:21  qboosh
- updated to 4.4.1 final ("released" in CVS)
- added acfix and am18 patches, fixed license (MPL/GPL dual)

Revision 1.24  2003/11/11 02:31:01  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.23  2003/10/15 08:14:10  qboosh
- updated Source0 URL to one that gives reliable results (ftp does not)

Revision 1.22  2003/06/23 21:05:03  jareq
- fixed epoch:version issue

Revision 1.21  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.20  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/17 19:40:41  mkochano
- Release 2.20030517 (snapshot required by Mozilla 1.4b).

Revision 1.18  2003/05/16 17:43:59  aflinta
- version 4.3

Revision 1.17  2003/03/05 13:13:53  qboosh
- debug-ready now

Revision 1.16  2002/10/21 11:07:27  qboosh
- "4.2.2.b" was in fact modified 4.2.1 - back to 4.2.2 with short patch
  which doesn't downgrade version to 4.2.1
- epoch 1, release 2

Revision 1.15  2002/10/20 10:46:33  aflinta
- updated to version 4.2.2.b (merged from moziilla 1.2Beta tree)

Revision 1.14  2002/10/19 22:40:30  malekith
- alpha patch removed (builds without it on alpha)

Revision 1.13  2002/10/19 22:17:56  aflinta
- updated to version 4.2.2

Revision 1.12  2002/10/19 17:37:26  qboosh
- Obsoletes: nspr-pthreads*

Revision 1.11  2002/10/07 14:07:13  qboosh
- BR: autoconf

Revision 1.10  2002/09/02 13:32:28  qboosh
- fixed build on alpha, release 2

Revision 1.9  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/05/20 22:01:03  qboosh
- merged DEVEL to HEAD - mozilla rc2 builds and works

Revision 1.7.2.1  2002/05/16 20:01:49  qboosh
- updated to 4.2 (ABI-compatible with 4.1.2, need to check API)

Revision 1.7  2002/04/07 10:07:18  misiek
- update to nspr from mozilla 0.9.9

Revision 1.6  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/18 10:34:06  kloczek
- cosmetics.

Revision 1.2  2001/12/17 17:23:31  michuz
- release 2
- switch to ac (patch)

Revision 1.1  2001/12/12 16:07:02  michuz
- initial release (based on nspr-pthreads.spec)
